<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
LockingInfo..::.ReadModifyWrite Field
LockingInfo Class See Also Send Feedback

If true and if locking is configured, acquire write locks instead of read locks when doing a read.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#

    public bool ReadModifyWrite

Visual Basic (Declaration)

    Public ReadModifyWrite As Boolean

Visual C++

    public:
    bool ReadModifyWrite

# Remarks

Setting ReadModifyWrite can eliminate deadlock during a read-modify-write cycle by acquiring the write lock during the read part of the cycle so that another thread of control acquiring a read lock for the same item, in its own read-modify-write cycle, does not result in deadlock.

# See Also

LockingInfo Class
BerkeleyDB Namespace